### Hierarchy

- unknown
  - TradableList

## Index

### Constructors

- constructor

### Methods

- addTradable
- clearTradableList
- getTradableList
- serializeBinary
- setTradableList
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new TradableList(): TradableList

- Inherited from jspb.Message.constructor

  #### Returns TradableList

## Methods

### addTradable

- addTradable(value?: Tradable, index?: number): Tradable

- - Defined in src/protobuf/pb_pb.d.ts:6434

  #### Parameters

  - ##### Optional value: Tradable

  - ##### Optional index: number

  #### Returns Tradable

### clearTradableList

- clearTradableList(): TradableList

- - Defined in src/protobuf/pb_pb.d.ts:6433

  #### Returns TradableList

### getTradableList

- getTradableList(): Tradable []

- - Defined in src/protobuf/pb_pb.d.ts:6431

  #### Returns Tradable []

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:6436

  #### Returns Uint8Array

### setTradableList

- setTradableList(value: Tradable []): TradableList

- - Defined in src/protobuf/pb_pb.d.ts:6432

  #### Parameters

  - ##### value: Tradable []

  #### Returns TradableList

### toObject

- toObject(includeInstance?: boolean): TradableList . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:6437

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns TradableList . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): TradableList

- - Defined in src/protobuf/pb_pb.d.ts:6440

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns TradableList

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: TradableList, reader: BinaryReader): TradableList

- - Defined in src/protobuf/pb_pb.d.ts:6441

  #### Parameters

  - ##### message: TradableList

  - ##### reader: BinaryReader

  #### Returns TradableList

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: TradableList, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:6439

  #### Parameters

  - ##### message: TradableList

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: TradableList ): TradableList . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:6438

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: TradableList

  #### Returns TradableList . AsObject

Generated using TypeDoc